View Issue Details

IDProjectCategoryView StatusLast Update
00033273 - Current Dev ListBugpublic2019-06-15 23:24
ReporterK7ZCZAssigned Todoug 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.6.0.214 
Target VersionFixed in Version6.6.0.231 
Summary0003327: Spurious error message from License Key Manager
DescriptionThe License Key Manager puts up a spurious error message.

Steps To Reproduce1) Start up a new install of HRD.
2) This leads to the "License Key Manager" dialog
3) Press the "Deactivate Key" button, don't do anything else

BUG#1) This message box is produced:

---------------------------
HRDStation
---------------------------
Invalid License
---------------------------
OK   
---------------------------


The box has the title "HRDStation", which is meaningless to any customer. The message box doesn't contain any useful text, so the user won't know what it means -- or how to correct whatever problem it might be trying to report.


There are at least a couple ways to cause this error box; it's just that the above steps are probably the easiest.

TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
TestingNot Started

Activities

doug

2019-06-10 23:00

developer   ~0008032

Changed the text to

The software was not activated with a valid key and will now exit.
With a caption of "Ham Radio Deluxe"

will be in next build

WA9PIE

2019-06-15 12:50

administrator   ~0008080

Updated Status, Resolution, and assigned back to Doug. Need FiV when the code is checked-in and next build is created.

Issue History

Date Modified Username Field Change
2019-06-05 19:12 K7ZCZ New Issue
2019-06-10 17:46 WA9PIE Assigned To => doug
2019-06-10 17:46 WA9PIE Status new => assigned
2019-06-10 17:46 WA9PIE Description Updated View Revisions
2019-06-10 17:46 WA9PIE Steps to Reproduce Updated View Revisions
2019-06-10 17:46 WA9PIE Module All => QLM
2019-06-10 17:46 WA9PIE Sub-Module (select) => Software License Key System
2019-06-10 23:00 doug Note Added: 0008032
2019-06-11 21:14 doug Assigned To doug => K7ZCZ
2019-06-15 10:47 WA9PIE Module QLM => SW License Mgmt
2019-06-15 10:47 WA9PIE Sub-Module Software License Key System => SW License Client
2019-06-15 12:50 WA9PIE Assigned To K7ZCZ => doug
2019-06-15 12:50 WA9PIE Status assigned => resolved
2019-06-15 12:50 WA9PIE Resolution open => fixed
2019-06-15 12:50 WA9PIE Note Added: 0008080
2019-06-15 23:24 WA9PIE Fixed in Version => 6.6.0.231